aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNeodarZ <neodarz@neodarz.net>2017-07-29 20:28:50 +0200
committerNeodarZ <neodarz@neodarz.net>2017-07-29 20:28:50 +0200
commitfc327dacd538734da542d74c3fea584d205a1358 (patch)
treed5f4e8e19ff7c45220e758443c34b415c5f67566
parent81bdc06ba6fd53d55f1db82d63e2956111de3e7f (diff)
downloaddotfiles_ascii-fc327dacd538734da542d74c3fea584d205a1358.tar.xz
dotfiles_ascii-fc327dacd538734da542d74c3fea584d205a1358.zip
Manual merge from t410 and update zsh conf file
-rwxr-xr-xzsh/.zsh/aliases.zsh123
-rwxr-xr-xzsh/.zsh/banner.zsh_ (renamed from zsh/.zsh/banner.zsh)0
-rwxr-xr-xzsh/.zsh/keybindings.zsh4
-rwxr-xr-xzsh/.zsh/keychain.zsh4
-rwxr-xr-xzsh/.zsh/nodejs.zsh2
-rw-r--r--zsh/.zsh/plugin.zsh3
m---------zsh/.zsh/plugins/zsh-autosuggestions0
m---------zsh/.zsh/plugins/zsh-history-substring-search0
m---------zsh/.zsh/plugins/zsh-syntax-highlighting0
-rw-r--r--zsh/.zsh/prompt.zsh74
10 files changed, 165 insertions, 45 deletions
diff --git a/zsh/.zsh/aliases.zsh b/zsh/.zsh/aliases.zsh
index 8fe9d93..fb76cbe 100755
--- a/zsh/.zsh/aliases.zsh
+++ b/zsh/.zsh/aliases.zsh
@@ -15,48 +15,46 @@
# ░░░░░░░░░░
#
#█▓▒░ aliases
-alias xyzzy="echo nothing happens"
-alias ls="ls -hF --color=auto"
-alias ll="ls -lahF --color=auto"
-alias lsl="ls -lhF --color=auto"
-alias "cd.."="cd ../"
-alias up="cd ../"
+alias l='ls -F --color=auto --group-directories-first'
+alias la='ls -lahF --color=auto --group-directories-first --time-style=+"%d.%m.%Y %H:%M"'
+alias ll='ls -lhF --color=auto --group-directories-first --time-style=+"%d.%m.%Y %H:%M"'
+alias ls='ls -F --color=auto --group-directories-first'
+alias ".."="cd ../"
+alias "..."="cd ../.."
alias rmrf="rm -rf"
alias psef="ps -ef"
alias mkdir="mkdir -p"
alias cp="cp -r"
alias scp="scp -r"
-alias mkdir="mkdir -p"
alias xsel="xsel -b"
alias fuck='sudo $(fc -ln -1)'
alias v="vim"
alias vi="vim"
alias emacs="vim"
-alias git="hub"
-alias g="hub"
+alias g="git"
alias ga="git add"
alias gc="git commit -m"
alias gs="git status"
alias gd="git diff"
-alias gf="git fetch"
+#alias gf="git fetch" To use with hub command
alias gm="git merge"
alias gr="git rebase"
alias gp="git push"
-alias gu="git unstage"
-alias gg="git graph"
+alias gu="git pull"
+#alias gu="git unstage" # To use with hub command
+#alias gg="git graph" # To use with hub command
alias gco="git checkout"
alias gcs="git commit -S -m"
-alias gpr="hub pull-request"
+#alias gpr="hub pull-request" To use with hub command
alias ag="ag --color --color-line-number '0;35' --color-match '46;30' --color-path '4;36'"
alias tree='tree -CAFa -I "CVS|*.*.package|.svn|.git|.hg|node_modules|bower_components" --dirsfirst'
-alias rock="ncmpcpp"
alias mixer="alsamixer"
-alias genplaylist="cd ~/music;find . -name '*.mp3' -o -name '*.flac'|sed -e 's%^./%%g' > ~/.mpd/playlists/all.m3u"
+#alias genplaylist="cd ~/music;find . -name '*.mp3' -o -name '*.flac'|sed -e 's%^./%%g' > ~/.mpd/playlists/all.m3u"
alias matrix="cmatrix -b"
alias tempwatch="while :; do sensors; sleep 1 && clear; done;"
-alias term="urxvtc -hold -e " #used for run menu
-alias sprunge="curl -F 'sprunge=<-' http://sprunge.us"
-alias clbin="curl -F 'clbin=<-' https://clbin.com"
+#alias term="urxvtc -hold -e " #used for run menu
+#alias sprunge="curl -F 'sprunge=<-' http://sprunge.us"
+#alias clbin="curl -F 'clbin=<-' https://clbin.com"
alias toiletlist='for i in ${TOILET_FONT_PATH:=/usr/share/figlet}/*.{t,f}lf; do j=${i##*/}; echo ""; echo "╓───── "$j; echo "╙────────────────────────────────────── ─ ─ "; echo ""; toilet -d "${i%/*}" -f "$j" "${j%.*}"; done'
alias ascii="toilet -t -f 3d"
alias future="toilet -t -f future"
@@ -64,14 +62,60 @@ alias rusto="toilet -t -f rusto"
alias rustofat="toilet -t -f rustofat"
alias lol="base64 </dev/urandom | lolcat"
alias pacman="sudo pacman"
-alias update="pacman-colors && yaourt -Syua"
+alias update="yaourt -Syua"
alias systemctl="sudo systemctl"
-alias :q="sudo systemctl poweroff"
+alias :q="poweroff"
+alias off="poweroff"
+alias dldstart="systemctl --user start aria2d.service"
+alias dldstop="systemctl --user stop aria2d.service"
+alias dldstatus="systemctl --user status aria2d.service"
+alias dll="DIANA_SECRET_TOKEN=8NuPEM8g6O1vBf6uLyWrcdGFKkI-vBTS diana list"
+alias dllw="DIANA_SECRET_TOKEN=8NuPEM8g6O1vBf6uLyWrcdGFKkI-vBTS watch diana list"
+alias dla="DIANA_SECRET_TOKEN=8NuPEM8g6O1vBf6uLyWrcdGFKkI-vBTS diana add"
+alias diana="DIANA_SECRET_TOKEN=8NuPEM8g6O1vBf6uLyWrcdGFKkI-vBTS diana"
+alias dl="DIANA_SECRET_TOKEN=8NuPEM8g6O1vBf6uLyWrcdGFKkI-vBTS diana"
+alias dlrm="DIANA_SECRET_TOKEN=8NuPEM8g6O1vBf6uLyWrcdGFKkI-vBTS diana remove"
+alias dlrs="DIANA_SECRET_TOKEN=8NuPEM8g6O1vBf6uLyWrcdGFKkI-vBTS diana resume"
+alias dlp="DIANA_SECRET_TOKEN=8NuPEM8g6O1vBf6uLyWrcdGFKkI-vBTS diana pause"
alias ZZ="quit"
alias disks='echo "╓───── m o u n t . p o i n t s"; echo "╙────────────────────────────────────── ─ ─ "; lsblk -a; echo ""; echo "╓───── d i s k . u s a g e"; echo "╙────────────────────────────────────── ─ ─ "; df -h;'
-alias todo="bash ~/code/sys/todo"
-alias record="ffmpeg -f x11grab -s 1366x768 -an -r 16 -loglevel quiet -i :0.0 -b:v 5M -y" #pass a filename
-alias nexus="jmtpfs ~/nexus"
+#alias todo="bash ~/code/sys/todo"
+alias record="ffmpeg -f x11grab -s 1920x1080 -an -r 16 -loglevel quiet -i :0.0 -b:v 5M -y" #pass a filename
+#alias nexus="jmtpfs ~/nexus"
+alias nullify="~/script/nullify"
+alias ff="nullify firefox-developer"
+alias lo="nullify libreoffice"
+
+alias fixit='sudo rm -f /var/lib/pacman/db.lck'
+alias mirrors='sudo pacman-mirrors -g'
+alias printer='system-config-printer'
+alias bat="upower -i /org/freedesktop/UPower/devices/battery_BAT0 | grep 'percentage:' | awk '{print $2}'"
+alias t="task"
+alias ts="task sync"
+alias tcal="task calendar"
+alias tp="task -TASK"
+alias tt="task +TASK"
+alias ttoday="task +TODAY"
+alias ttomorrow="task +TOMORROW"
+alias tyesterday="task +YESTERDAY"
+alias tweek="task +WEEK"
+alias tmonth="task +MONTH"
+
+alias rl='source ~/.zsh/aliases.zsh'
+alias rssyoutube="newsbeuter -c /home/neodarz/.newsbeuter/youtube.db -u /home/neodarz/.newsbeuter/urls_youtube -C /home/neodarz/.newsbeuter/youtube_conf"
+alias rssliberte="newsbeuter -c /home/neodarz/.newsbeuter/liberte.db -u /home/neodarz/.newsbeuter/urls_liberte -C /home/neodarz/.newsbeuter/liberte_conf"
+alias rssblog="newsbeuter -c /home/neodarz/.newsbeuter/blog.db -u /home/neodarz/.newsbeuter/urls_blog -C /home/neodarz/.newsbeuter/blog_conf"
+alias rsscode="newsbeuter -c /home/neodarz/.newsbeuter/code.db -u /home/neodarz/.newsbeuter/urls_code -C /home/neodarz/.newsbeuter/code_conf"
+alias rsshardware="newsbeuter -c /home/neodarz/.newsbeuter/hardware.db -u /home/neodarz/.newsbeuter/urls_hardware -C /home/neodarz/.newsbeuter/hardware_conf"
+alias rssactu="newsbeuter -c /home/neodarz/.newsbeuter/actu.db -u /home/neodarz/.newsbeuter/urls_actu -C /home/neodarz/.newsbeuter/actu_conf"
+alias i3lock="i3lock-fancy"
+alias weatherM="weather -k 0aebbf2d72f2b78f797b650a76c88401 -c -z 47.9955,0.1939"
+alias weatherC="weather -k 0aebbf2d72f2b78f797b650a76c88401 -c -z 47.1778,-1.3416"
+alias vpn="sh /home/neodarz/Apps/ipsec-vpn/vpn"
+alias cal="ikhal"
+alias cals="vdirsyncer sync"
+alias mm="offlineimap && mutt"
+
#█▓▒░ dumb tmux trix
alias tsad="printf '\033k┐(T_T)┌\033\\'"
@@ -79,13 +123,13 @@ alias tshrug="printf '\033k┐(\`-\`)┌\033\\'"
alias tlol="printf '\033k┐(^0^)┌\033\\'"
#█▓▒░ update mpd database
-function genplaylist() {
- cd ~/music
- find . -name '*.mp3' -o -name '*.flac'|sed -e 's%^./%%g' > ~/.config/mpd/playlists/all.m3u
- mpc clear
- mpc load all.m3u
- mpc update
-}
+#function genplaylist() {
+# cd ~/music
+# find . -name '*.mp3' -o -name '*.flac'|sed -e 's%^./%%g' > ~/.config/mpd/playlists/all.m3u
+# mpc clear
+# mpc load all.m3u
+# mpc update
+#}
function t() {
X=$#
@@ -104,14 +148,23 @@ function c() {
done
}
# colorized less
-function l() {
+function le() {
pygmentize -O style=sourcerer -f console256 -g $1 | less -r
}
# read markdown files like manpages
-function md() {
+function mdm() {
pandoc -s -f markdown -t man "$*" | man -l -
}
# nullpointer url shortener
-function short() {
- curl -F"shorten=$*" https://0x0.st
-}
+#function short() {
+# curl -F"shorten=$*" https://0x0.st
+#}
+
+mkdir -p ~/.ssh-agent-thing
+if ! pgrep -u "$USER" ssh-agent > /dev/null; then
+ ssh-agent > ~/.ssh-agent-thing
+fi
+if [[ "$SSH_AGENT_PID" == "" ]]; then
+ eval "$(<~/.ssh-agent-thing)"
+fi
+
diff --git a/zsh/.zsh/banner.zsh b/zsh/.zsh/banner.zsh_
index 9c2903b..9c2903b 100755
--- a/zsh/.zsh/banner.zsh
+++ b/zsh/.zsh/banner.zsh_
diff --git a/zsh/.zsh/keybindings.zsh b/zsh/.zsh/keybindings.zsh
index 2f80417..5959ab4 100755
--- a/zsh/.zsh/keybindings.zsh
+++ b/zsh/.zsh/keybindings.zsh
@@ -49,3 +49,7 @@ if (( ${+terminfo[smkx]} )) && (( ${+terminfo[rmkx]} )); then
zle -N zle-line-init
zle -N zle-line-finish
fi
+
+# Navigate words with ctrl+arrow keys
+bindkey '^[[1;5D' backward-word
+bindkey '^[[1;5C' forward-word
diff --git a/zsh/.zsh/keychain.zsh b/zsh/.zsh/keychain.zsh
index aee1aca..1585f26 100755
--- a/zsh/.zsh/keychain.zsh
+++ b/zsh/.zsh/keychain.zsh
@@ -15,7 +15,7 @@
# ░░░░░░░░░░
#
#█▓▒░ ssh keys
-export SSH_KEY_PATH="~/.ssh/id_rsa"
+#export SSH_KEY_PATH="~/.ssh/id_rsa"
#█▓▒░ funtoo keychain
-eval `keychain -q --eval ~/.ssh/id_rsa`
+#eval `keychain -q --eval ~/.ssh/id_rsa`
diff --git a/zsh/.zsh/nodejs.zsh b/zsh/.zsh/nodejs.zsh
index fb762b5..4f95e1e 100755
--- a/zsh/.zsh/nodejs.zsh
+++ b/zsh/.zsh/nodejs.zsh
@@ -15,7 +15,7 @@
# ░░░░░░░░░░
#
#█▓▒░ node version manager
-source ~/.nvm/nvm.sh
+#source ~/.nvm/nvm.sh
#█▓▒░ aliases
alias node="sudo node"
diff --git a/zsh/.zsh/plugin.zsh b/zsh/.zsh/plugin.zsh
new file mode 100644
index 0000000..5519c2c
--- /dev/null
+++ b/zsh/.zsh/plugin.zsh
@@ -0,0 +1,3 @@
+source ~/.zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh
+source ~/.zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
+source ~/.zsh/plugins/zsh-history-substring-search/zsh-history-substring-search.zsh
diff --git a/zsh/.zsh/plugins/zsh-autosuggestions b/zsh/.zsh/plugins/zsh-autosuggestions
new file mode 160000
+Subproject e30436574599df0f127153fea0c2ea86942ba11
diff --git a/zsh/.zsh/plugins/zsh-history-substring-search b/zsh/.zsh/plugins/zsh-history-substring-search
new file mode 160000
+Subproject 933733e86724a018cb98cb8f514fc3d323461f7
diff --git a/zsh/.zsh/plugins/zsh-syntax-highlighting b/zsh/.zsh/plugins/zsh-syntax-highlighting
new file mode 160000
+Subproject 5feed23962df4dd6b8ef7fb1946617140d4078a
diff --git a/zsh/.zsh/prompt.zsh b/zsh/.zsh/prompt.zsh
index 4203929..cf1b525 100644
--- a/zsh/.zsh/prompt.zsh
+++ b/zsh/.zsh/prompt.zsh
@@ -13,21 +13,69 @@
# ░▓ mirror ▓ http://git.io/.files
# ░▓▓▓▓▓▓▓▓▓▓
# ░░░░░░░░░░
+autoload -U compinit colors zcalc
+compinit -d
+colors
-#ICO_DIRTY="⚡"
+ICO_DIRTY="⚡"
#ICO_DIRTY="↯"
-ICO_DIRTY="*"
-#ICO_AHEAD="↑"
-ICO_AHEAD="🠙"
+#ICO_DIRTY="*"
+ICO_AHEAD="↑"
+#ICO_AHEAD="🠙"
#ICO_AHEAD="▲"
-#ICO_BEHIND="↓"
-ICO_BEHIND="🠛"
+ICO_BEHIND="↓"
+#ICO_BEHIND="🠛"
#ICO_BEHIND="▼"
ICO_DIVERGED="⥮"
COLOR_ROOT="%F{red}"
COLOR_USER="%F{cyan}"
COLOR_NORMAL="%F{white}"
PROMPT_STYLE="classic"
+# Modify the colors and symbols in these variables as desired.
+GIT_PROMPT_SYMBOL="%{$fg[blue]%}±" # plus/minus - clean repo
+GIT_PROMPT_PREFIX="%{$fg[green]%} %{$reset_color%}"
+GIT_PROMPT_SUFFIX="%{$fg[green]%}%{$reset_color%}"
+GIT_PROMPT_AHEAD="%{$fg[red]%}ANUM%{$reset_color%}" # A"NUM" - ahead by "NUM" commits
+GIT_PROMPT_BEHIND="%{$fg[cyan]%}BNUM%{$reset_color%}" # B"NUM" - behind by "NUM" commits
+GIT_PROMPT_MERGING="%{$fg_bold[magenta]%}⚡%{$reset_color%}" # lightning bolt - merge conflict
+GIT_PROMPT_UNTRACKED="%{$fg_bold[red]%}●%{$reset_color%}" # red circle - untracked files
+GIT_PROMPT_MODIFIED="%{$fg_bold[yellow]%}●%{$reset_color%}" # yellow circle - tracked files modified
+GIT_PROMPT_STAGED="%{$fg_bold[green]%}●%{$reset_color%}" # green circle - staged changes present = ready for "git push"
+
+parse_git_branch() {
+ # Show Git branch/tag, or name-rev if on detached head
+ ( git symbolic-ref -q HEAD || git name-rev --name-only --no-undefined --always HEAD ) 2> /dev/null
+}
+
+parse_git_state() {
+ # Show different symbols as appropriate for various Git repository states
+ # Compose this value via multiple conditional appends.
+ local GIT_STATE=""
+ local NUM_AHEAD="$(git log --oneline @{u}.. 2> /dev/null | wc -l | tr -d ' ')"
+ if [ "$NUM_AHEAD" -gt 0 ]; then
+ GIT_STATE=$GIT_STATE${GIT_PROMPT_AHEAD//NUM/$NUM_AHEAD}
+ fi
+ local NUM_BEHIND="$(git log --oneline ..@{u} 2> /dev/null | wc -l | tr -d ' ')"
+ if [ "$NUM_BEHIND" -gt 0 ]; then
+ GIT_STATE=$GIT_STATE${GIT_PROMPT_BEHIND//NUM/$NUM_BEHIND}
+ fi
+ local GIT_DIR="$(git rev-parse --git-dir 2> /dev/null)"
+ if [ -n $GIT_DIR ] && test -r $GIT_DIR/MERGE_HEAD; then
+ GIT_STATE=$GIT_STATE$GIT_PROMPT_MERGING
+ fi
+ if [[ -n $(git ls-files --other --exclude-standard 2> /dev/null) ]]; then
+ GIT_STATE=$GIT_STATE$GIT_PROMPT_UNTRACKED
+ fi
+ if ! git diff --quiet 2> /dev/null; then
+ GIT_STATE=$GIT_STATE$GIT_PROMPT_MODIFIED
+ fi
+ if ! git diff --cached --quiet 2> /dev/null; then
+ GIT_STATE=$GIT_STATE$GIT_PROMPT_STAGED
+ fi
+ if [[ -n $GIT_STATE ]]; then
+ echo "$GIT_PROMPT_PREFIX$GIT_STATE$GIT_PROMPT_SUFFIX"
+ fi
+}
#█▓▒░ allow functions in the prompt
@@ -42,6 +90,17 @@ else # root!
USER_LEVEL="${COLOR_ROOT}"
fi
+git_prompt_string() {
+ local git_where="$(parse_git_branch)"
+
+ # If inside a Git repository, print its branch and state
+ [ -n "$git_where" ] && echo "$GIT_PROMPT_SYMBOL$(parse_git_state)$GIT_PROMPT_PREFIX%{$fg[yellow]%}${git_where#(refs/heads/|tags/)}$GIT_PROMPT_SUFFIX"
+
+ # If not inside the Git repo, print exit codes of last command (only if it failed)
+ [ ! -n "$git_where" ] && echo "%{$fg[red]%}%(?..%?)"
+}
+
+
#█▓▒░ git prompt
GIT_PROMPT() {
test=$(git rev-parse --is-inside-work-tree 2> /dev/null)
@@ -116,6 +175,7 @@ ${USER_LEVEL}└─ - %f'
;;
#█▓▒░ classic
*)
-PROMPT='${USER_LEVEL}[${COLOR_NORMAL}%~${USER_LEVEL}]$(GIT_PROMPT)── - %f'
+PROMPT='%F{cyan}┌─[$USER@$HOST]─[$(git_prompt_string)${USER_LEVEL}]─[${COLOR_NORMAL}%~${USER_LEVEL}]
+└─ - %f'
;;
esac